Bug 2022259 - Bump to latest available 1.20.12 k8s
Summary: Bump to latest available 1.20.12 k8s
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: kube-apiserver
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.z
Assignee: Thomas Jungblut
QA Contact: jmekkatt
URL:
Whiteboard:
Depends On: 2022265
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-11 08:14 UTC by Thomas Jungblut
Modified: 2022-10-03 18:20 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
This fix contains the following changes coming from updated version of kubernetes from 1.20.11 up to v1.20.12: Changelog for v1.20.12: https://github.com/kubernetes/kubernetes/blob/master/CHANGELOG/CHANGELOG-1.20.md#changelog-since-v12011
Clone Of:
Environment:
Last Closed: 2022-05-11 09:59:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift kubernetes pull 1046 0 None Merged Bug 2022259: Rebase v1.20.12 2021-11-23 17:24:22 UTC

Description Thomas Jungblut 2021-11-11 08:14:52 UTC
This fix contains the following changes coming from updated version of kubernetes from 1.20.11 up to v1.20.12:

Changelog for v1.20.12:
https://github.com/kubernetes/kubernetes/blob/master/CHANGELOG/CHANGELOG-1.20.md#changelog-since-v12011

Comment 1 Abu Kashem 2021-11-11 14:24:41 UTC
tjungblu,

assigning it to you, assuming that the CFE team will take care of rebase

Comment 6 jmekkatt 2021-11-29 08:59:39 UTC
I have checked bug with 4.7.0-0.nightly-2021-11-29-033808 nightly build. 

Kubernetes Version still not updated to latest i.e v1.20.11+63f841a 

[jmekkatt@jmekkatt Jaya]$ oc version
Client Version: 4.9.6
Server Version: 4.7.0-0.nightly-2021-11-29-033808
Kubernetes Version: v1.20.11+63f841a

[jmekkatt@jmekkatt Jaya]$ oc get node
NAME                                                          STATUS   ROLES    AGE   VERSION
jmekatt-76760t-8twlp-master-0.c.openshift-qe.internal         Ready    master   97m   v1.20.11+aa025a0
jmekatt-76760t-8twlp-master-1.c.openshift-qe.internal         Ready    master   97m   v1.20.11+aa025a0
jmekatt-76760t-8twlp-master-2.c.openshift-qe.internal         Ready    master   97m   v1.20.11+aa025a0
jmekatt-76760t-8twlp-worker-a-btlmb.c.openshift-qe.internal   Ready    worker   85m   v1.20.11+aa025a0
jmekatt-76760t-8twlp-worker-b-ksqrf.c.openshift-qe.internal   Ready    worker   85m   v1.20.11+aa025a0
jmekatt-76760t-8twlp-worker-c-74vqt.c.openshift-qe.internal   Ready    worker   85m   v1.20.11+aa025a0

[jmekkatt@jmekkatt Jaya]$ oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.0-0.nightly-2021-11-29-033808   True        False         75m     Cluster version is 4.7.0-0.nightly-2021-11-29-033808

kubernetes version from image information indicated as below

[jmekkatt@jmekkatt Jaya]$ oc adm release info --image-for=hyperkube registry.ci.openshift.org/ocp/release:4.7.0-0.nightly-2021-11-29-033808 --registry-config /home/jmekkatt/docker/config.json
quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:ea7116868aa5198ce72ee96d7cf950f8591f6c97441b92e977095cce572d3932


[jmekkatt@jmekkatt Jaya]$ oc image info quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:ea7116868aa5198ce72ee96d7cf950f8591f6c97441b92e977095cce572d3932 -a /home/jmekkatt/docker/config.json | grep kubernetes=
io.openshift.build.versions=kubernetes=1.20.11


With above, it looks like we need to push the build team to land the fix into nightly build. 

@sidsharm Could you please look and get a solution for the same? thanks


Note You need to log in before you can comment on or make changes to this bug.